IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network247.2.200.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
247.2.200.0- Broadcast address
247.2.203.255- First usable
247.2.200.1- Last usable
247.2.203.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F702C800· Integer4144154624to4144155647 - Reverse DNS zones
200.2.247.in-addr.arpa201.2.247.in-addr.arpa202.2.247.in-addr.arpa203.2.247.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110111.00000010.11001000.00000000 | 247.2.200.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11110111.00000010.11001000.00000000 | 247.2.200.0 |
| Broadcast | 11110111.00000010.11001011.11111111 | 247.2.203.255 |
Split into smaller subnets
247.2.200.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 247.2.200.0/31 | 247.2.200.0 to 247.2.200.1 | — | 2 |
| 2 | 247.2.200.2/31 | 247.2.200.2 to 247.2.200.3 | — | 2 |
| 3 | 247.2.200.4/31 | 247.2.200.4 to 247.2.200.5 | — | 2 |
| 4 | 247.2.200.6/31 | 247.2.200.6 to 247.2.200.7 | — | 2 |
| 5 | 247.2.200.8/31 | 247.2.200.8 to 247.2.200.9 | — | 2 |
| 6 | 247.2.200.10/31 | 247.2.200.10 to 247.2.200.11 | — | 2 |
| 7 | 247.2.200.12/31 | 247.2.200.12 to 247.2.200.13 | — | 2 |
| 8 | 247.2.200.14/31 | 247.2.200.14 to 247.2.200.15 | — | 2 |
| 9 | 247.2.200.16/31 | 247.2.200.16 to 247.2.200.17 | — | 2 |
| 10 | 247.2.200.18/31 | 247.2.200.18 to 247.2.200.19 | — | 2 |
| 11 | 247.2.200.20/31 | 247.2.200.20 to 247.2.200.21 | — | 2 |
| 12 | 247.2.200.22/31 | 247.2.200.22 to 247.2.200.23 | — | 2 |
| 13 | 247.2.200.24/31 | 247.2.200.24 to 247.2.200.25 | — | 2 |
| 14 | 247.2.200.26/31 | 247.2.200.26 to 247.2.200.27 | — | 2 |
| 15 | 247.2.200.28/31 | 247.2.200.28 to 247.2.200.29 | — | 2 |
| 16 | 247.2.200.30/31 | 247.2.200.30 to 247.2.200.31 | — | 2 |
| 17 | 247.2.200.32/31 | 247.2.200.32 to 247.2.200.33 | — | 2 |
| 18 | 247.2.200.34/31 | 247.2.200.34 to 247.2.200.35 | — | 2 |
| 19 | 247.2.200.36/31 | 247.2.200.36 to 247.2.200.37 | — | 2 |
| 20 | 247.2.200.38/31 | 247.2.200.38 to 247.2.200.39 | — | 2 |
| 21 | 247.2.200.40/31 | 247.2.200.40 to 247.2.200.41 | — | 2 |
| 22 | 247.2.200.42/31 | 247.2.200.42 to 247.2.200.43 | — | 2 |
| 23 | 247.2.200.44/31 | 247.2.200.44 to 247.2.200.45 | — | 2 |
| 24 | 247.2.200.46/31 | 247.2.200.46 to 247.2.200.47 | — | 2 |
| 25 | 247.2.200.48/31 | 247.2.200.48 to 247.2.200.49 | — | 2 |
| 26 | 247.2.200.50/31 | 247.2.200.50 to 247.2.200.51 | — | 2 |
| 27 | 247.2.200.52/31 | 247.2.200.52 to 247.2.200.53 | — | 2 |
| 28 | 247.2.200.54/31 | 247.2.200.54 to 247.2.200.55 | — | 2 |
| 29 | 247.2.200.56/31 | 247.2.200.56 to 247.2.200.57 | — | 2 |
| 30 | 247.2.200.58/31 | 247.2.200.58 to 247.2.200.59 | — | 2 |
| 31 | 247.2.200.60/31 | 247.2.200.60 to 247.2.200.61 | — | 2 |
| 32 | 247.2.200.62/31 | 247.2.200.62 to 247.2.200.63 | — | 2 |
| 33 | 247.2.200.64/31 | 247.2.200.64 to 247.2.200.65 | — | 2 |
| 34 | 247.2.200.66/31 | 247.2.200.66 to 247.2.200.67 | — | 2 |
| 35 | 247.2.200.68/31 | 247.2.200.68 to 247.2.200.69 | — | 2 |
| 36 | 247.2.200.70/31 | 247.2.200.70 to 247.2.200.71 | — | 2 |
| 37 | 247.2.200.72/31 | 247.2.200.72 to 247.2.200.73 | — | 2 |
| 38 | 247.2.200.74/31 | 247.2.200.74 to 247.2.200.75 | — | 2 |
| 39 | 247.2.200.76/31 | 247.2.200.76 to 247.2.200.77 | — | 2 |
| 40 | 247.2.200.78/31 | 247.2.200.78 to 247.2.200.79 | — | 2 |
| 41 | 247.2.200.80/31 | 247.2.200.80 to 247.2.200.81 | — | 2 |
| 42 | 247.2.200.82/31 | 247.2.200.82 to 247.2.200.83 | — | 2 |
| 43 | 247.2.200.84/31 | 247.2.200.84 to 247.2.200.85 | — | 2 |
| 44 | 247.2.200.86/31 | 247.2.200.86 to 247.2.200.87 | — | 2 |
| 45 | 247.2.200.88/31 | 247.2.200.88 to 247.2.200.89 | — | 2 |
| 46 | 247.2.200.90/31 | 247.2.200.90 to 247.2.200.91 | — | 2 |
| 47 | 247.2.200.92/31 | 247.2.200.92 to 247.2.200.93 | — | 2 |
| 48 | 247.2.200.94/31 | 247.2.200.94 to 247.2.200.95 | — | 2 |
| 49 | 247.2.200.96/31 | 247.2.200.96 to 247.2.200.97 | — | 2 |
| 50 | 247.2.200.98/31 | 247.2.200.98 to 247.2.200.99 | — | 2 |
| 51 | 247.2.200.100/31 | 247.2.200.100 to 247.2.200.101 | — | 2 |
| 52 | 247.2.200.102/31 | 247.2.200.102 to 247.2.200.103 | — | 2 |
| 53 | 247.2.200.104/31 | 247.2.200.104 to 247.2.200.105 | — | 2 |
| 54 | 247.2.200.106/31 | 247.2.200.106 to 247.2.200.107 | — | 2 |
| 55 | 247.2.200.108/31 | 247.2.200.108 to 247.2.200.109 | — | 2 |
| 56 | 247.2.200.110/31 | 247.2.200.110 to 247.2.200.111 | — | 2 |
| 57 | 247.2.200.112/31 | 247.2.200.112 to 247.2.200.113 | — | 2 |
| 58 | 247.2.200.114/31 | 247.2.200.114 to 247.2.200.115 | — | 2 |
| 59 | 247.2.200.116/31 | 247.2.200.116 to 247.2.200.117 | — | 2 |
| 60 | 247.2.200.118/31 | 247.2.200.118 to 247.2.200.119 | — | 2 |
| 61 | 247.2.200.120/31 | 247.2.200.120 to 247.2.200.121 | — | 2 |
| 62 | 247.2.200.122/31 | 247.2.200.122 to 247.2.200.123 | — | 2 |
| 63 | 247.2.200.124/31 | 247.2.200.124 to 247.2.200.125 | — | 2 |
| 64 | 247.2.200.126/31 | 247.2.200.126 to 247.2.200.127 | — | 2 |
| 65 | 247.2.200.128/31 | 247.2.200.128 to 247.2.200.129 | — | 2 |
| 66 | 247.2.200.130/31 | 247.2.200.130 to 247.2.200.131 | — | 2 |
| 67 | 247.2.200.132/31 | 247.2.200.132 to 247.2.200.133 | — | 2 |
| 68 | 247.2.200.134/31 | 247.2.200.134 to 247.2.200.135 | — | 2 |
| 69 | 247.2.200.136/31 | 247.2.200.136 to 247.2.200.137 | — | 2 |
| 70 | 247.2.200.138/31 | 247.2.200.138 to 247.2.200.139 | — | 2 |
| 71 | 247.2.200.140/31 | 247.2.200.140 to 247.2.200.141 | — | 2 |
| 72 | 247.2.200.142/31 | 247.2.200.142 to 247.2.200.143 | — | 2 |
| 73 | 247.2.200.144/31 | 247.2.200.144 to 247.2.200.145 | — | 2 |
| 74 | 247.2.200.146/31 | 247.2.200.146 to 247.2.200.147 | — | 2 |
| 75 | 247.2.200.148/31 | 247.2.200.148 to 247.2.200.149 | — | 2 |
| 76 | 247.2.200.150/31 | 247.2.200.150 to 247.2.200.151 | — | 2 |
| 77 | 247.2.200.152/31 | 247.2.200.152 to 247.2.200.153 | — | 2 |
| 78 | 247.2.200.154/31 | 247.2.200.154 to 247.2.200.155 | — | 2 |
| 79 | 247.2.200.156/31 | 247.2.200.156 to 247.2.200.157 | — | 2 |
| 80 | 247.2.200.158/31 | 247.2.200.158 to 247.2.200.159 | — | 2 |
| 81 | 247.2.200.160/31 | 247.2.200.160 to 247.2.200.161 | — | 2 |
| 82 | 247.2.200.162/31 | 247.2.200.162 to 247.2.200.163 | — | 2 |
| 83 | 247.2.200.164/31 | 247.2.200.164 to 247.2.200.165 | — | 2 |
| 84 | 247.2.200.166/31 | 247.2.200.166 to 247.2.200.167 | — | 2 |
| 85 | 247.2.200.168/31 | 247.2.200.168 to 247.2.200.169 | — | 2 |
| 86 | 247.2.200.170/31 | 247.2.200.170 to 247.2.200.171 | — | 2 |
| 87 | 247.2.200.172/31 | 247.2.200.172 to 247.2.200.173 | — | 2 |
| 88 | 247.2.200.174/31 | 247.2.200.174 to 247.2.200.175 | — | 2 |
| 89 | 247.2.200.176/31 | 247.2.200.176 to 247.2.200.177 | — | 2 |
| 90 | 247.2.200.178/31 | 247.2.200.178 to 247.2.200.179 | — | 2 |
| 91 | 247.2.200.180/31 | 247.2.200.180 to 247.2.200.181 | — | 2 |
| 92 | 247.2.200.182/31 | 247.2.200.182 to 247.2.200.183 | — | 2 |
| 93 | 247.2.200.184/31 | 247.2.200.184 to 247.2.200.185 | — | 2 |
| 94 | 247.2.200.186/31 | 247.2.200.186 to 247.2.200.187 | — | 2 |
| 95 | 247.2.200.188/31 | 247.2.200.188 to 247.2.200.189 | — | 2 |
| 96 | 247.2.200.190/31 | 247.2.200.190 to 247.2.200.191 | — | 2 |
| 97 | 247.2.200.192/31 | 247.2.200.192 to 247.2.200.193 | — | 2 |
| 98 | 247.2.200.194/31 | 247.2.200.194 to 247.2.200.195 | — | 2 |
| 99 | 247.2.200.196/31 | 247.2.200.196 to 247.2.200.197 | — | 2 |
| 100 | 247.2.200.198/31 | 247.2.200.198 to 247.2.200.199 | — | 2 |
| 101 | 247.2.200.200/31 | 247.2.200.200 to 247.2.200.201 | — | 2 |
| 102 | 247.2.200.202/31 | 247.2.200.202 to 247.2.200.203 | — | 2 |
| 103 | 247.2.200.204/31 | 247.2.200.204 to 247.2.200.205 | — | 2 |
| 104 | 247.2.200.206/31 | 247.2.200.206 to 247.2.200.207 | — | 2 |
| 105 | 247.2.200.208/31 | 247.2.200.208 to 247.2.200.209 | — | 2 |
| 106 | 247.2.200.210/31 | 247.2.200.210 to 247.2.200.211 | — | 2 |
| 107 | 247.2.200.212/31 | 247.2.200.212 to 247.2.200.213 | — | 2 |
| 108 | 247.2.200.214/31 | 247.2.200.214 to 247.2.200.215 | — | 2 |
| 109 | 247.2.200.216/31 | 247.2.200.216 to 247.2.200.217 | — | 2 |
| 110 | 247.2.200.218/31 | 247.2.200.218 to 247.2.200.219 | — | 2 |
| 111 | 247.2.200.220/31 | 247.2.200.220 to 247.2.200.221 | — | 2 |
| 112 | 247.2.200.222/31 | 247.2.200.222 to 247.2.200.223 | — | 2 |
| 113 | 247.2.200.224/31 | 247.2.200.224 to 247.2.200.225 | — | 2 |
| 114 | 247.2.200.226/31 | 247.2.200.226 to 247.2.200.227 | — | 2 |
| 115 | 247.2.200.228/31 | 247.2.200.228 to 247.2.200.229 | — | 2 |
| 116 | 247.2.200.230/31 | 247.2.200.230 to 247.2.200.231 | — | 2 |
| 117 | 247.2.200.232/31 | 247.2.200.232 to 247.2.200.233 | — | 2 |
| 118 | 247.2.200.234/31 | 247.2.200.234 to 247.2.200.235 | — | 2 |
| 119 | 247.2.200.236/31 | 247.2.200.236 to 247.2.200.237 | — | 2 |
| 120 | 247.2.200.238/31 | 247.2.200.238 to 247.2.200.239 | — | 2 |
| 121 | 247.2.200.240/31 | 247.2.200.240 to 247.2.200.241 | — | 2 |
| 122 | 247.2.200.242/31 | 247.2.200.242 to 247.2.200.243 | — | 2 |
| 123 | 247.2.200.244/31 | 247.2.200.244 to 247.2.200.245 | — | 2 |
| 124 | 247.2.200.246/31 | 247.2.200.246 to 247.2.200.247 | — | 2 |
| 125 | 247.2.200.248/31 | 247.2.200.248 to 247.2.200.249 | — | 2 |
| 126 | 247.2.200.250/31 | 247.2.200.250 to 247.2.200.251 | — | 2 |
| 127 | 247.2.200.252/31 | 247.2.200.252 to 247.2.200.253 | — | 2 |
| 128 | 247.2.200.254/31 | 247.2.200.254 to 247.2.200.255 | — | 2 |
| 129 | 247.2.201.0/31 | 247.2.201.0 to 247.2.201.1 | — | 2 |
| 130 | 247.2.201.2/31 | 247.2.201.2 to 247.2.201.3 | — | 2 |
| 131 | 247.2.201.4/31 | 247.2.201.4 to 247.2.201.5 | — | 2 |
| 132 | 247.2.201.6/31 | 247.2.201.6 to 247.2.201.7 | — | 2 |
| 133 | 247.2.201.8/31 | 247.2.201.8 to 247.2.201.9 | — | 2 |
| 134 | 247.2.201.10/31 | 247.2.201.10 to 247.2.201.11 | — | 2 |
| 135 | 247.2.201.12/31 | 247.2.201.12 to 247.2.201.13 | — | 2 |
| 136 | 247.2.201.14/31 | 247.2.201.14 to 247.2.201.15 | — | 2 |
| 137 | 247.2.201.16/31 | 247.2.201.16 to 247.2.201.17 | — | 2 |
| 138 | 247.2.201.18/31 | 247.2.201.18 to 247.2.201.19 | — | 2 |
| 139 | 247.2.201.20/31 | 247.2.201.20 to 247.2.201.21 | — | 2 |
| 140 | 247.2.201.22/31 | 247.2.201.22 to 247.2.201.23 | — | 2 |
| 141 | 247.2.201.24/31 | 247.2.201.24 to 247.2.201.25 | — | 2 |
| 142 | 247.2.201.26/31 | 247.2.201.26 to 247.2.201.27 | — | 2 |
| 143 | 247.2.201.28/31 | 247.2.201.28 to 247.2.201.29 | — | 2 |
| 144 | 247.2.201.30/31 | 247.2.201.30 to 247.2.201.31 | — | 2 |
| 145 | 247.2.201.32/31 | 247.2.201.32 to 247.2.201.33 | — | 2 |
| 146 | 247.2.201.34/31 | 247.2.201.34 to 247.2.201.35 | — | 2 |
| 147 | 247.2.201.36/31 | 247.2.201.36 to 247.2.201.37 | — | 2 |
| 148 | 247.2.201.38/31 | 247.2.201.38 to 247.2.201.39 | — | 2 |
| 149 | 247.2.201.40/31 | 247.2.201.40 to 247.2.201.41 | — | 2 |
| 150 | 247.2.201.42/31 | 247.2.201.42 to 247.2.201.43 | — | 2 |
| 151 | 247.2.201.44/31 | 247.2.201.44 to 247.2.201.45 | — | 2 |
| 152 | 247.2.201.46/31 | 247.2.201.46 to 247.2.201.47 | — | 2 |
| 153 | 247.2.201.48/31 | 247.2.201.48 to 247.2.201.49 | — | 2 |
| 154 | 247.2.201.50/31 | 247.2.201.50 to 247.2.201.51 | — | 2 |
| 155 | 247.2.201.52/31 | 247.2.201.52 to 247.2.201.53 | — | 2 |
| 156 | 247.2.201.54/31 | 247.2.201.54 to 247.2.201.55 | — | 2 |
| 157 | 247.2.201.56/31 | 247.2.201.56 to 247.2.201.57 | — | 2 |
| 158 | 247.2.201.58/31 | 247.2.201.58 to 247.2.201.59 | — | 2 |
| 159 | 247.2.201.60/31 | 247.2.201.60 to 247.2.201.61 | — | 2 |
| 160 | 247.2.201.62/31 | 247.2.201.62 to 247.2.201.63 | — | 2 |
| 161 | 247.2.201.64/31 | 247.2.201.64 to 247.2.201.65 | — | 2 |
| 162 | 247.2.201.66/31 | 247.2.201.66 to 247.2.201.67 | — | 2 |
| 163 | 247.2.201.68/31 | 247.2.201.68 to 247.2.201.69 | — | 2 |
| 164 | 247.2.201.70/31 | 247.2.201.70 to 247.2.201.71 | — | 2 |
| 165 | 247.2.201.72/31 | 247.2.201.72 to 247.2.201.73 | — | 2 |
| 166 | 247.2.201.74/31 | 247.2.201.74 to 247.2.201.75 | — | 2 |
| 167 | 247.2.201.76/31 | 247.2.201.76 to 247.2.201.77 | — | 2 |
| 168 | 247.2.201.78/31 | 247.2.201.78 to 247.2.201.79 | — | 2 |
| 169 | 247.2.201.80/31 | 247.2.201.80 to 247.2.201.81 | — | 2 |
| 170 | 247.2.201.82/31 | 247.2.201.82 to 247.2.201.83 | — | 2 |
| 171 | 247.2.201.84/31 | 247.2.201.84 to 247.2.201.85 | — | 2 |
| 172 | 247.2.201.86/31 | 247.2.201.86 to 247.2.201.87 | — | 2 |
| 173 | 247.2.201.88/31 | 247.2.201.88 to 247.2.201.89 | — | 2 |
| 174 | 247.2.201.90/31 | 247.2.201.90 to 247.2.201.91 | — | 2 |
| 175 | 247.2.201.92/31 | 247.2.201.92 to 247.2.201.93 | — | 2 |
| 176 | 247.2.201.94/31 | 247.2.201.94 to 247.2.201.95 | — | 2 |
| 177 | 247.2.201.96/31 | 247.2.201.96 to 247.2.201.97 | — | 2 |
| 178 | 247.2.201.98/31 | 247.2.201.98 to 247.2.201.99 | — | 2 |
| 179 | 247.2.201.100/31 | 247.2.201.100 to 247.2.201.101 | — | 2 |
| 180 | 247.2.201.102/31 | 247.2.201.102 to 247.2.201.103 | — | 2 |
| 181 | 247.2.201.104/31 | 247.2.201.104 to 247.2.201.105 | — | 2 |
| 182 | 247.2.201.106/31 | 247.2.201.106 to 247.2.201.107 | — | 2 |
| 183 | 247.2.201.108/31 | 247.2.201.108 to 247.2.201.109 | — | 2 |
| 184 | 247.2.201.110/31 | 247.2.201.110 to 247.2.201.111 | — | 2 |
| 185 | 247.2.201.112/31 | 247.2.201.112 to 247.2.201.113 | — | 2 |
| 186 | 247.2.201.114/31 | 247.2.201.114 to 247.2.201.115 | — | 2 |
| 187 | 247.2.201.116/31 | 247.2.201.116 to 247.2.201.117 | — | 2 |
| 188 | 247.2.201.118/31 | 247.2.201.118 to 247.2.201.119 | — | 2 |
| 189 | 247.2.201.120/31 | 247.2.201.120 to 247.2.201.121 | — | 2 |
| 190 | 247.2.201.122/31 | 247.2.201.122 to 247.2.201.123 | — | 2 |
| 191 | 247.2.201.124/31 | 247.2.201.124 to 247.2.201.125 | — | 2 |
| 192 | 247.2.201.126/31 | 247.2.201.126 to 247.2.201.127 | — | 2 |
| 193 | 247.2.201.128/31 | 247.2.201.128 to 247.2.201.129 | — | 2 |
| 194 | 247.2.201.130/31 | 247.2.201.130 to 247.2.201.131 | — | 2 |
| 195 | 247.2.201.132/31 | 247.2.201.132 to 247.2.201.133 | — | 2 |
| 196 | 247.2.201.134/31 | 247.2.201.134 to 247.2.201.135 | — | 2 |
| 197 | 247.2.201.136/31 | 247.2.201.136 to 247.2.201.137 | — | 2 |
| 198 | 247.2.201.138/31 | 247.2.201.138 to 247.2.201.139 | — | 2 |
| 199 | 247.2.201.140/31 | 247.2.201.140 to 247.2.201.141 | — | 2 |
| 200 | 247.2.201.142/31 | 247.2.201.142 to 247.2.201.143 | — | 2 |
| 201 | 247.2.201.144/31 | 247.2.201.144 to 247.2.201.145 | — | 2 |
| 202 | 247.2.201.146/31 | 247.2.201.146 to 247.2.201.147 | — | 2 |
| 203 | 247.2.201.148/31 | 247.2.201.148 to 247.2.201.149 | — | 2 |
| 204 | 247.2.201.150/31 | 247.2.201.150 to 247.2.201.151 | — | 2 |
| 205 | 247.2.201.152/31 | 247.2.201.152 to 247.2.201.153 | — | 2 |
| 206 | 247.2.201.154/31 | 247.2.201.154 to 247.2.201.155 | — | 2 |
| 207 | 247.2.201.156/31 | 247.2.201.156 to 247.2.201.157 | — | 2 |
| 208 | 247.2.201.158/31 | 247.2.201.158 to 247.2.201.159 | — | 2 |
| 209 | 247.2.201.160/31 | 247.2.201.160 to 247.2.201.161 | — | 2 |
| 210 | 247.2.201.162/31 | 247.2.201.162 to 247.2.201.163 | — | 2 |
| 211 | 247.2.201.164/31 | 247.2.201.164 to 247.2.201.165 | — | 2 |
| 212 | 247.2.201.166/31 | 247.2.201.166 to 247.2.201.167 | — | 2 |
| 213 | 247.2.201.168/31 | 247.2.201.168 to 247.2.201.169 | — | 2 |
| 214 | 247.2.201.170/31 | 247.2.201.170 to 247.2.201.171 | — | 2 |
| 215 | 247.2.201.172/31 | 247.2.201.172 to 247.2.201.173 | — | 2 |
| 216 | 247.2.201.174/31 | 247.2.201.174 to 247.2.201.175 | — | 2 |
| 217 | 247.2.201.176/31 | 247.2.201.176 to 247.2.201.177 | — | 2 |
| 218 | 247.2.201.178/31 | 247.2.201.178 to 247.2.201.179 | — | 2 |
| 219 | 247.2.201.180/31 | 247.2.201.180 to 247.2.201.181 | — | 2 |
| 220 | 247.2.201.182/31 | 247.2.201.182 to 247.2.201.183 | — | 2 |
| 221 | 247.2.201.184/31 | 247.2.201.184 to 247.2.201.185 | — | 2 |
| 222 | 247.2.201.186/31 | 247.2.201.186 to 247.2.201.187 | — | 2 |
| 223 | 247.2.201.188/31 | 247.2.201.188 to 247.2.201.189 | — | 2 |
| 224 | 247.2.201.190/31 | 247.2.201.190 to 247.2.201.191 | — | 2 |
| 225 | 247.2.201.192/31 | 247.2.201.192 to 247.2.201.193 | — | 2 |
| 226 | 247.2.201.194/31 | 247.2.201.194 to 247.2.201.195 | — | 2 |
| 227 | 247.2.201.196/31 | 247.2.201.196 to 247.2.201.197 | — | 2 |
| 228 | 247.2.201.198/31 | 247.2.201.198 to 247.2.201.199 | — | 2 |
| 229 | 247.2.201.200/31 | 247.2.201.200 to 247.2.201.201 | — | 2 |
| 230 | 247.2.201.202/31 | 247.2.201.202 to 247.2.201.203 | — | 2 |
| 231 | 247.2.201.204/31 | 247.2.201.204 to 247.2.201.205 | — | 2 |
| 232 | 247.2.201.206/31 | 247.2.201.206 to 247.2.201.207 | — | 2 |
| 233 | 247.2.201.208/31 | 247.2.201.208 to 247.2.201.209 | — | 2 |
| 234 | 247.2.201.210/31 | 247.2.201.210 to 247.2.201.211 | — | 2 |
| 235 | 247.2.201.212/31 | 247.2.201.212 to 247.2.201.213 | — | 2 |
| 236 | 247.2.201.214/31 | 247.2.201.214 to 247.2.201.215 | — | 2 |
| 237 | 247.2.201.216/31 | 247.2.201.216 to 247.2.201.217 | — | 2 |
| 238 | 247.2.201.218/31 | 247.2.201.218 to 247.2.201.219 | — | 2 |
| 239 | 247.2.201.220/31 | 247.2.201.220 to 247.2.201.221 | — | 2 |
| 240 | 247.2.201.222/31 | 247.2.201.222 to 247.2.201.223 | — | 2 |
| 241 | 247.2.201.224/31 | 247.2.201.224 to 247.2.201.225 | — | 2 |
| 242 | 247.2.201.226/31 | 247.2.201.226 to 247.2.201.227 | — | 2 |
| 243 | 247.2.201.228/31 | 247.2.201.228 to 247.2.201.229 | — | 2 |
| 244 | 247.2.201.230/31 | 247.2.201.230 to 247.2.201.231 | — | 2 |
| 245 | 247.2.201.232/31 | 247.2.201.232 to 247.2.201.233 | — | 2 |
| 246 | 247.2.201.234/31 | 247.2.201.234 to 247.2.201.235 | — | 2 |
| 247 | 247.2.201.236/31 | 247.2.201.236 to 247.2.201.237 | — | 2 |
| 248 | 247.2.201.238/31 | 247.2.201.238 to 247.2.201.239 | — | 2 |
| 249 | 247.2.201.240/31 | 247.2.201.240 to 247.2.201.241 | — | 2 |
| 250 | 247.2.201.242/31 | 247.2.201.242 to 247.2.201.243 | — | 2 |
| 251 | 247.2.201.244/31 | 247.2.201.244 to 247.2.201.245 | — | 2 |
| 252 | 247.2.201.246/31 | 247.2.201.246 to 247.2.201.247 | — | 2 |
| 253 | 247.2.201.248/31 | 247.2.201.248 to 247.2.201.249 | — | 2 |
| 254 | 247.2.201.250/31 | 247.2.201.250 to 247.2.201.251 | — | 2 |
| 255 | 247.2.201.252/31 | 247.2.201.252 to 247.2.201.253 | — | 2 |
| 256 | 247.2.201.254/31 | 247.2.201.254 to 247.2.201.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |